# sc::LYPCFunctional Class Reference

Implements the Lee, Yang, and Parr functional. More...

`#include <functional.h>`

Inheritance diagram for sc::LYPCFunctional:

List of all members.

## Public Member Functions

| LYPCFunctional (const Ref< KeyVal > &)
| LYPCFunctional (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
int | need_density_gradient ()
void | point (const PointInputData &, PointOutputData &)

## Protected Member Functions

void | init_constants ()

## Protected Attributes

double | a_
double | b_
double | c_
double | d_

## Detailed Description

Implements the Lee, Yang, and Parr functional.

B. Miehlich, A. Savin, H. Stoll and H. Preuss, Chem. Phys. Lett., 157(3), pp. 200-206, 1989.

C. Lee, W. Yang, and R. G. Parr, Phys. Rev. B, 37(2), pp 785-789, 1988.

## Member Function Documentation

void sc::LYPCFunctional::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::DenFunctional.

The documentation for this class was generated from the following file:

- functional.h